#!/bin/bash
# This Bash script also checks if the student's file contains
# the word Hello. Same as Q1 but in Bash instead of Python

# Check if student submitted the (loadcode ...) file
if [ ! -e "${submitdir}/${studentfile}" ]; then
    # Student did not submit file. Let RST try and
    # run the file, which will fail and display a
    # message to students.
    exit 0
fi

# File exists, so check if it contains Hello
if grep -q Hello "${submitdir}/${studentfile}"; then
    # Contains hello, so pass
    exit 0
fi

# File exists but doesn't contain Hello.
# Print feedback to student and fail by exiting with
# non-zero code.
echo "Your code doesn't contain Hello"
echo "Please add it somewhere and re-submit"
exit 1
