#!/bin/bash

# Check if student submitted the (loadcode ...) file
if [ ! -e "${submitdir}/${studentfile}" ]; then
    # Student did not submit file. Let RST try and
    # run the file, which will fail and display a
    # message to students.
    exit 0
fi

export LANG=en_US.UTF-8

# Run the Python whitelist checking script
cd "$testdir/racket-whitelist-scripts/"
./whitelist.py -a ./permitted-functions.rkt "${submitdir}/${studentfile}"
exitcode=$?
exit $exitcode
